Show / Hide Table of Contents

# Class SocketCategoryChannel

Represents a WebSocket-based category channel.

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketChannel
SocketGuildChannel
SocketCategoryChannel

##### Implements

ICategoryChannel
IGuildChannel
IChannel
ISnowflakeEntity
IEntity<System.UInt64>
IDeletable

##### Inherited Members

SocketGuildChannel.Guild
SocketGuildChannel.Name
SocketGuildChannel.Position
SocketGuildChannel.PermissionOverwrites
SocketGuildChannel.ModifyAsync(Action<GuildChannelProperties>, RequestOptions)
SocketGuildChannel.DeleteAsync(RequestOptions)
SocketGuildChannel.GetPermissionOverwrite(IUser)
SocketGuildChannel.GetPermissionOverwrite(IRole)
SocketGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
SocketGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
SocketGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
SocketGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
SocketGuildChannel.ToString()
SocketGuildChannel.IGuildChannel.Guild
SocketGuildChannel.IGuildChannel.GuildId
SocketGuildChannel.IGuildChannel.GetPermissionOverwrite(IRole)
SocketGuildChannel.IGuildChannel.GetPermissionOverwrite(IUser)
SocketGuildChannel.IGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
SocketGuildChannel.IGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
SocketGuildChannel.IGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
SocketGuildChannel.IGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
SocketChannel.CreatedAt
SocketChannel.IChannel.Name
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketCategoryChannel : SocketGuildChannel, ICategoryChannel, IGuildChannel, IChannel, ISnowflakeEntity, IEntity<ulong>, IDeletable

### Properties

| Improve this Doc View Source

#### Channels

Gets the child channels of this category.

##### Declaration

    public IReadOnlyCollection<SocketGuildChannel> Channels { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<SocketGuildChannel> | A read-only collection of SocketGuildChannel whose CategoryId matches the snowflake identifier of this category channel.

| Improve this Doc View Source

#### Users

Gets a collection of users that are able to view the channel.

##### Declaration

    public override IReadOnlyCollection<SocketGuildUser> Users { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<SocketGuildUser> | A read-only collection of users that can access the channel (i.e. the users seen in the user list).

##### Overrides

SocketGuildChannel.Users

### Methods

| Improve this Doc View Source

#### GetUser(UInt64)

##### Declaration

    public override SocketGuildUser GetUser(ulong id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id |

##### Returns

Type | Description
--- | ---
SocketGuildUser |

##### Overrides

SocketGuildChannel.GetUser(UInt64)

### Explicit Interface Implementations

| Improve this Doc View Source

#### IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)

Gets a user in this channel.

##### Declaration

    Task<IUser> IChannel.GetUserAsync(ulong id, CacheMode mode, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id | The snowflake identifier of the user (e.g. `168693960628371456`).
CacheMode | mode | The CacheMode that determines whether the object should be fetched from cache.
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IUser> | A task that represents the asynchronous get operation. The task result contains a user object that represents the found user; `null` if none is found.

| Improve this Doc View Source

#### IGuildChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)

Gets a user in this channel.

##### Declaration

    Task<IGuildUser> IGuildChannel.GetUserAsync(ulong id, CacheMode mode, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id | The snowflake identifier of the user.
CacheMode | mode | The CacheMode that determines whether the object should be fetched from cache.
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IGuildUser> | A task representing the asynchronous get operation. The task result contains a guild user object that represents the user; `null` if none is found.

### Implements

ICategoryChannel
IGuildChannel
IChannel
ISnowflakeEntity
IEntity<TId>
IDeletable